Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Fejlécparaméterek
Foundry-Features
enum
kötelező
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Elérési útvonal paraméterei
name
string
kötelező
The name of the memory store.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Kérelem törzse
scope
string
kötelező
The namespace that logically groups and isolates memories, such as a user ID.
content
string
kötelező
The content of the memory.
kind
string | enum
kötelező
Memory item kind.
enum
Válaszok
The request has succeeded.
Törzs
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
kötelező
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
kötelező
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
kötelező
The kind of the memory item.
Kérés
POST /memory_stores/{name}/items HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json